commit ddd28f163dcb86267de7bb7bad9c2986c168a671
parent 18d599a56064f96b9662e90fccddc36081425c5d
Author: Martin Ashby <martin@ashbysoft.com>
Date: Fri, 30 Dec 2022 18:36:13 +0000
Update git pre-push hook to deploy site on push
This replaces on-server generation of the static site, and also means we don't need rustc on the server to compile the comments app
Diffstat:
1 file changed, 5 insertions(+), 0 deletions(-)
diff --git a/update-hooks.sh b/update-hooks.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+
+## Configure git hooks
+git lfs install
+grep -qxF './deploy.sh' .git/hooks/pre-push || echo './deploy.sh' >> .git/hooks/pre-push